### Method

# WebKit2WebExtension DOMDOMWindow find

deprecated: 2.22 since: 2.16

#### Declaration [src]

    gboolean
    webkit_dom_dom_window_find (
      WebKitDOMDOMWindow* self,
      const gchar* string,
      gboolean caseSensitive,
      gboolean backwards,
      gboolean wrap,
      gboolean wholeWord,
      gboolean searchInFrames,
      gboolean showDialog
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`string`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`caseSensitive`

  Type: `gboolean`

  A #gboolean.

`backwards`

  Type: `gboolean`

  A #gboolean.

`wrap`

  Type: `gboolean`

  A #gboolean.

`wholeWord`

  Type: `gboolean`

  A #gboolean.

`searchInFrames`

  Type: `gboolean`

  A #gboolean.

`showDialog`

  Type: `gboolean`

  A #gboolean.

#### Return value

Type: `gboolean`

A #gboolean.